## com.lowagie.text.xml.xmp
Class XmpSchema

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema

All Implemented Interfaces:
  Cloneable, Map, Serializable

Direct Known Subclasses:
  DublinCoreSchema, PdfSchema, XmpBasicSchema, XmpMMSchema

public abstract class XmpSchema
extends Properties

Abstract superclass of the XmpSchemas supported by iText.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Hashtable
``

Field Summary
`protected String` `xmlns` the namesspace

Fields inherited from class java.util.Properties
`defaults`

Fields inherited from class java.util.Hashtable
``

Constructor Summary
`XmpSchema(String xmlns)` Constructs an XMP schema.

Method Summary
`Object` `addProperty(String key, String value)`
`static String` `escape(String content)`
`String` `getXmlns()`
`protected void` `process(StringBuffer buf, Object p)` Processes a property
`Object` `setProperty(String key, String value)`
`Object` `setProperty(String key, XmpArray value)`
`String` `toString()` The String representation of the contents.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### xmlns

    protected String xmlns

  the namesspace

Constructor Detail

### XmpSchema

    public XmpSchema(String xmlns)

  Constructs an XMP schema.

Parameters:
  `xmlns` -

Method Detail

### toString

    public String toString()

  The String representation of the contents.

  Returns:
    a String representation.

### process

    protected void process(StringBuffer buf,
                           Object p)

  Processes a property

  Parameters:
    `buf` -
    `p` -

### getXmlns

    public String getXmlns()

  Returns:
    Returns the xmlns.

### addProperty

    public Object addProperty(String key,
                              String value)

  Parameters:
    `key` -
    `value` -
  Returns:
    the previous property (null if there wasn't one)

### setProperty

    public Object setProperty(String key,
                              String value)

  See Also:
    `Properties.setProperty(java.lang.String, java.lang.String)`

### setProperty

    public Object setProperty(String key,
                              XmpArray value)

  Parameters:
    `key` -
    `value` -
  Returns:
    the previous property (null if there wasn't one)
  See Also:
    `Properties.setProperty(java.lang.String, java.lang.String)`

### escape

    public static String escape(String content)

  Parameters:
    `content` -
  Returns:
    an escaped string